<bugID>1335572<Summary>Cannot remove zoom from address bar</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:51.0) Gecko/20100101 Firefox/51.0
Build ID: 20170125094131

Steps to reproduce:

1. Let Firefox update to 51.0.
2. Right clicked on new zoom in address bar to try and remove it.
3. Went to customize to try and remove it.
4. Googled how to remove it.
5. Let Firefox upgrade to 51.0.1. 
6. repeat 2 &amp; 3


Actual results:

2. Zoom was reset, and I had to go through the complex process of fixing it back. The control continued to be displayed.
3. Control was not displayed while customizing and thus could not be removed.
4. Was told that there is no about:config entry to remove it.
6. Same as before. 


Expected results:

All new buttons should be removable. This is a basic concept of Firefox. A button that can't be removed is just wasting space if the user doesn't need it.  

Workaround:

I did find a workaround--I can put the zoom control button on a toolbar, which hides this inferior version. Then I can hide said toolbar. Unfortunately, I already have the zoom controls in the hamburger menu, so I cannot use this workaround.

Additional Information: 

Firefox already has the zoom feature in the hamburger menu by default. That version also has zoom in and out controls, making it far more useful. It is in the menu because the average user has no need to fiddle with zoom very often. For those who do, they can easily move the zoom controls to a toolbar instead.

Addons now automatically install buttons on the navigation bar. This makes the address bar smaller. Having something fixed in the address bar only serves to make it even smaller. Users are going to want to remove anything they don't use to maximize space. 

And, finally, it's just how Firefox is supposed to work. Firefox is supposed to be highly customizable. Forcing users to install multiple extensions to fix tiny changes things makes the support burden more difficult, not less. And results in users complaining Firefox is slow. If it's something simple, it needs to be easily customized.

This also gives you a telemetry advantage. Instead of just checking how many users use the button, you also have information on who find it so useless that they choose to hide it. 

In short, there is no reason not to allow a new UI button to be removed, and plenty of reasons to allow it to be.</Description></bugID>